### Name: invcov.shrink
### Title: Fast Computation of the Inverse of the Covariance and
###   Correlation Matrix
### Aliases: invcov.shrink invcor.shrink
### Keywords: multivariate

### ** Examples

## Not run: 
##D 
##D # load corpcor library
##D library("corpcor")
##D 
##D # generate data matrix
##D p = 2000
##D n = 10
##D X = matrix(rnorm(n*p), nrow = n, ncol = p)
##D 
##D lambda = 0.23  # some arbitrary lambda
##D 
##D # slow
##D system.time(
##D   (W1 =  solve(cov.shrink(X, lambda)))
##D )
##D 
##D # very fast
##D system.time(
##D   (W2 = invcov.shrink(X, lambda))
##D )
##D 
##D # no difference
##D sum((W1-W2)^2)
##D 
## End(Not run)



